Update Blackout

Use this API to make changes to blackouts you've already created. Blackouts will temporarily override schedules set by Delivery Slots, temporarily pausing fulfillment for holidays or during extreme weather events.

Response (Output) Params
ParameterDescription
*success**
boolean
Indicates whether the service completed successfully.
  • false* - the service failed.
  • true* - the service succeeded
*message**
string
If an error occurred, a message indicating the error is included.
*rc**
integer
If an error occurred, the return code is included.
*end_time**
datetime
The timestamp when the blackout should end. This is in UTC and the format is "%Y-%m-%dT%H:%M:%S%z".
*exclusion_type**
integer
*id**
integer
The Bringg ID for this blackout.
*merchant_id**
int32
The ID of the merchant to which this blackout belongs.
*name**
string
The name of the blackout.
*repeat**
boolean
Flag that indicates whether this blackout should recur annually.
*service_area_ids**
array
The specific areas (Bringg IDs) to which this blackout applies.
*service_plan_id**
int32
The specific service plan to which this blackout applies.
*src_id**
int32
*start_time**
datetime
The timestamp when the blackout should take effect. This is in UTC and the format is "%Y-%m-%dT%H:%M:%S%z".
*tasks_count**
int32
*tasks_limit**
int32
*team_id**
int32
The specific team to which this blackout applies.

Body Params
int32
required

The ID of the blackout you want to modify.

string

The name of the blackout.

string

If this blackout only applies to a specific team, include your organization's ID of that team.

string

If the blackout only applies for a specific service plan, include the external ID of that service plan.

service_area_ids
array of int32s

If the blackout only applies in certain areas, include a list of the Bringg IDs for each of the applicable service areas.

service_area_ids
date-time

The time when the blackout should take effect.

date-time

The time when the blackout should end.

boolean

Set to true if this blackout should recur annually.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json